## dnspython 1.3.5

=== tests/Makefile ===
# Copyright (C) 2003-2005 Nominum, Inc.
#
# Permission to use, copy, modify, and distribute this software and its
# documentation for any purpose with or without fee is hereby granted,
# provided that the above copyright notice and this permission notice
# appear in all copies.
#
# THE SOFTWARE IS PROVIDED "AS IS" AND NOMINUM DISCLAIMS ALL WARRANTIES
# WITH REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF
# MERCHANTABILITY AND FITNESS. IN NO EVENT SHALL NOMINUM BE LIABLE FOR
# ANY SPECIAL, DIRECT, INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES
# WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN
# ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT
# OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.

# $Id: Makefile,v 1.5 2004/03/19 00:17:27 halley Exp $

PYTHON=python

check: test

test:
	@for i in *.py; do \
		echo "Running $$i:"; \
		${PYTHON} $$i || exit 1; \
	done

## dnspython 1.6.0

=== tests/Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# Copyright (C) 2003-2005 Nominum, Inc.
+# Copyright (C) 2003-2007 Nominum, Inc.
 #
 # Permission to use, copy, modify, and distribute this software and its
 # documentation for any purpose with or without fee is hereby granted,

## dnspython 1.7.1

=== tests/Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# Copyright (C) 2003-2007 Nominum, Inc.
+# Copyright (C) 2003-2007, 2009 Nominum, Inc.
 #
 # Permission to use, copy, modify, and distribute this software and its
 # documentation for any purpose with or without fee is hereby granted,

## dnspython 1.8.0

=== debian/changelog ===
dnspython (1.8.0-1ubuntu0.1) maverick-proposed; urgency=low

  * Fix TSIG algorithm value passing, upstream git commit
    e80c56c6c5c6dd7aa12c439b1f3b664811f65dcb (LP: #660749)

 -- Scott Kitterman <scott@kitterman.com>  Fri, 15 Oct 2010 10:22:34 -0400

dnspython (1.8.0-1) unstable; urgency=low

  * New upstream release.

 -- Robert S. Edmonds <edmonds@debian.org>  Sun, 20 Jun 2010 16:19:46 -0400

dnspython (1.7.1-1) unstable; urgency=low

  * New upstream release.

 -- Robert S. Edmonds <edmonds@debian.org>  Sun, 23 Aug 2009 14:17:25 -0400

dnspython (1.6.0-1.1) unstable; urgency=low

  * NMU. Rebuild to move files to /usr/share/pyshared. Closes: #490457.

 -- Matthias Klose <doko@debian.org>  Fri, 18 Jul 2008 15:57:01 +0000

dnspython (1.6.0-1) unstable; urgency=low

  * New upstream release:
    - This is primarily a bug fix release. The only new functionality is the
    function dns.inet.is_multicast().
  * Fix broken watch file.

 -- Robert S. Edmonds <edmonds@debian.org>  Wed, 28 Nov 2007 18:32:24 -0500

dnspython (1.5.0-1) unstable; urgency=low

  * New upstream release.
  * New maintainer; closes: #437695.
  * Drop "dummy package" statement from package description; closes: #420776.
  * Package is compliant with Debian Python policy; closes: #373315.
  * Add watch file.
  * Add build dependency on python-central.
  * Drop build dependencies on cdbs and python-support.
  * Ship the upstream README file since it contains useful information.

 -- Robert S. Edmonds <edmonds@debian.org>  Tue, 14 Aug 2007 06:35:13 -0400

dnspython (1.3.5-3.1) unstable; urgency=low

  * Non-maintainer upload.
  * Drop old custom python-distutils.mk things, use cdbs.
  * Migrate to the new python policy (Closes: #373315).

 -- Pierre Habouzit <madcoder@debian.org>  Thu, 29 Jun 2006 14:13:10 +0200

dnspython (1.3.5-3) unstable; urgency=low

  * applied patch from Dan Pascu to avoid doing a backoff wait, even if
    a query was successful. Patch was forwarded upstream and was already applied
    to upstreams subversion repository.

 -- Patrick Dreker <patrick@dreker.org>  Sat, 18 Mar 2006 16:24:59 +0100

dnspython (1.3.5-2) unstable; urgency=low

  * change "Architecture: any" to "Architecture: all" as package
    only contains python code (Closes: #357052).
  * remove Python 2.2 from debian/rules, packages for 2.2 were not
    built anyways.

 -- Patrick Dreker <patrick@dreker.org>  Wed, 15 Mar 2006 19:48:03 +0100

dnspython (1.3.5-1) unstable; urgency=low

  [ Patrick Dreker ]
  * New upstream release.

  [ Florian Ragwitz ]
  * Patrick is the official Maintainer now.
  * Updated the Uploaders field with my new maintainer address.

 -- Florian Ragwitz <rafl@debian.org>  Tue, 14 Mar 2006 21:36:34 +0100

dnspython (1.3.4-1) unstable; urgency=low

  * Initial release (Closes: #335260).

 -- Florian Ragwitz <rafl@debianforum.de>  Sat, 22 Oct 2005 20:53:19 +0200

=== debian/control ===
Source: dnspython
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Robert S. Edmonds <edmonds@debian.org>
Build-Depends: debhelper (>= 7.0.50~), python-all (>= 2.5.4-1~), python-support (>= 1.0.0)
Standards-Version: 3.8.4

Package: python-dnspython
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}
Provides: ${python:Provides}
Conflicts: python2.3-dnspython (<< 1.3.5-3.1), python2.4-dnspython (<< 1.3.5-3.1)
Replaces: python2.3-dnspython (<< 1.3.5-3.1), python2.4-dnspython (<< 1.3.5-3.1)
Description: DNS toolkit for Python
 dnspython is a DNS toolkit for Python. It supports almost all record types. It
 can be used for queries, zone transfers, and dynamic updates. It supports TSIG
 authenticated messages and EDNS0.
 .
 dnspython provides both high and low level access to DNS. The high level
 classes perform queries for data of a given name, type, and class, and return
 an answer set. The low level classes allow direct manipulation of DNS zones,
 messages, names, and records.

## dnspython 1.9.4

=== debian/changelog ===
dnspython (1.9.4-1) unstable; urgency=low

  * New upstream release.

 -- Robert S. Edmonds <edmonds@debian.org>  Sun, 06 Nov 2011 15:04:19 -0500

=== debian/control ===
Source: dnspython
Section: python
Priority: optional
Maintainer: Robert S. Edmonds <edmonds@debian.org>
Build-Depends: debhelper (>= 7.0.50~), python-all (>= 2.5.4-1~), python-support (>= 1.0.0)
Standards-Version: 3.8.4

Package: python-dnspython
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}
Description: DNS toolkit for Python
 dnspython is a DNS toolkit for Python. It supports almost all record types. It
 can be used for queries, zone transfers, and dynamic updates. It supports TSIG
 authenticated messages and EDNS0.
 .
 dnspython provides both high and low level access to DNS. The high level
 classes perform queries for data of a given name, type, and class, and return
 an answer set. The low level classes allow direct manipulation of DNS zones,
 messages, names, and records.

## dnspython 1.10.0

=== debian/changelog ===
dnspython (1.10.0-1) unstable; urgency=low

  * Add myself to uploaders
  * New upstream release.
    - Remove TODO from debian/docs since it no longer exists.
  * Switch to dh_python2. (Closes: #671406, #599911)
    - Bump minimum python-all build-depends version to 2.6.6-3~.
    - Drop build-depends on python-support.
    - Build --with python2.
  * Bump standards version to 3.9.3 without further change.
  * Add Homepage: field to debian/control.

 -- Scott Kitterman <scott@kitterman.com>  Mon, 04 Jun 2012 15:38:45 -0400

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,10 @@
 Section: python
 Priority: optional
 Maintainer: Robert S. Edmonds <edmonds@debian.org>
-Build-Depends: debhelper (>= 7.0.50~), python-all (>= 2.5.4-1~), python-support (>= 1.0.0)
-Standards-Version: 3.8.4
+Uploaders: Scott Kitterman <scott@kitterman.com>
+Build-Depends: debhelper (>= 7.0.50~), python-all (>= 2.6.6-3~)
+Homepage: http://www.dnspython.org
+Standards-Version: 3.9.3
 
 Package: python-dnspython
 Architecture: all
@@ -16,4 +18,4 @@
  dnspython provides both high and low level access to DNS. The high level
  classes perform queries for data of a given name, type, and class, and return
  an answer set. The low level classes allow direct manipulation of DNS zones,
- messages, names, and records. 
+ messages, names, and records.

## dnspython 1.11.0

=== debian/changelog ===
dnspython (1.11.0-1) unstable; urgency=low

  * New upstream release
  * Agreed maintainer switch to DPMT
    - Add Vcs-* fields to debian/control
  * Bump minimum debhelper version to 8.1 and compat to 8 for build-arch/indep
    support
  * Bump standards version to 3.9.4 without further change

 -- Scott Kitterman <scott@kitterman.com>  Wed, 17 Jul 2013 02:49:46 -0400

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,13 @@
 Source: dnspython
 Section: python
 Priority: optional
-Maintainer: Robert S. Edmonds <edmonds@debian.org>
-Uploaders: Scott Kitterman <scott@kitterman.com>
-Build-Depends: debhelper (>= 7.0.50~), python-all (>= 2.6.6-3~)
+Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Uploaders: Robert S. Edmonds <edmonds@debian.org>, Scott Kitterman <scott@kitterman.com>
+Build-Depends: debhelper (>= 8.1~), python-all (>= 2.6.6-3~)
 Homepage: http://www.dnspython.org
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
+Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/dnspython/trunk/
+Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/dnspython/trunk/
 
 Package: python-dnspython
 Architecture: all

## dnspython 1.11.1

=== debian/changelog ===
dnspython (1.11.1-1build1) trusty; urgency=medium

  * Rebuild to drop files installed into /usr/share/pyshared.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 23 Feb 2014 13:47:10 +0000

dnspython (1.11.1-1) unstable; urgency=low

  * New upstream release
  * Bump standards version to 3.9.5 without further change

 -- Scott Kitterman <scott@kitterman.com>  Wed, 06 Nov 2013 01:57:34 -0500

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Robert S. Edmonds <edmonds@debian.org>, Scott Kitterman <scott@kitterman.com>
 Build-Depends: debhelper (>= 8.1~), python-all (>= 2.6.6-3~)
 Homepage: http://www.dnspython.org
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/dnspython/trunk/
 Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/dnspython/trunk/

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

%:
	dh $@ --with python2

## dnspython 1.12.0

=== debian/changelog ===
dnspython (1.12.0-1) unstable; urgency=medium

  * New upstream release
  * Add explicit build-dep on dh-python to make use of the newer version

 -- Scott Kitterman <scott@kitterman.com>  Sun, 14 Sep 2014 22:46:43 -0400

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: Robert S. Edmonds <edmonds@debian.org>, Scott Kitterman <scott@kitterman.com>
-Build-Depends: debhelper (>= 8.1~), python-all (>= 2.6.6-3~)
+Build-Depends: debhelper (>= 8.1~), python-all (>= 2.6.6-3~), dh-python
 Homepage: http://www.dnspython.org
 Standards-Version: 3.9.5
 Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/dnspython/trunk/

=== debian/watch ===
version=3
http://www.dnspython.org/kits/([0-9.]+)/dnspython-([0-9.]+)\.tar\.gz

## dnspython 1.14.0

=== debian/changelog ===
dnspython (1.14.0-1) unstable; urgency=medium

  * Add patch in tests/test_resolver.py to check if the Internet is reachable
    and to skip tests that require it if it is not
  * New upstream release
  * Update debian/copyright

 -- Scott Kitterman <scott@kitterman.com>  Sat, 28 May 2016 13:10:13 -0400

dnspython (1.13.0-2) unstable; urgency=medium

  * Revert disabling of zone tests
  * Add netbase to build-depends to provide /etc/protocols so zone tests will
    work

 -- Scott Kitterman <scott@kitterman.com>  Wed, 25 May 2016 11:11:52 -0400

dnspython (1.13.0-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Fixed VCS URL (https)

  [ Scott Kitterman ]
  * New upstream release (Closes: #823456)
    - Bump minimum python3 version to 3.3
    - Add python/python3-setuptools to build-depends
    - Delete obsolete debian/docs file
  * Build python3-dnspython for dnspython source instead of from dedicated
    dnspython3 source
    - Add Matthew Grant to dnspython uploaders
    - Migrate python3 related dnspython3 entries for debian/control
    - Update debian/rules to use dh_python3 and pybuild
    - Set PYBUILD_NAME=dnspython in debian/rules
    - Use binary specific examples files for multi-binary package
  * Bump standards version to 3.9.8 without further change
  * Delete obsolete debian/source/options file
  * Temporarily disable non-working zone tests.

 -- Scott Kitterman <scott@kitterman.com>  Wed, 25 May 2016 02:13:01 -0400

=== debian/control ===
Source: dnspython
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Robert S. Edmonds <edmonds@debian.org>, Scott Kitterman <scott@kitterman.com>, Matthew Grant <matthewgrant5@gmail.com>
Build-Depends: debhelper (>= 8.1~), python-all (>= 2.6.6-3~), python-setuptools, python3-all (>= 3.3), python3-setuptools, dh-python, netbase
X-Python3-Version: >= 3.3
Homepage: http://www.dnspython.org
Standards-Version: 3.9.8
Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/dnspython.git
Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/dnspython.git

Package: python-dnspython
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}
Description: DNS toolkit for Python
 dnspython is a DNS toolkit for Python. It supports almost all record types. It
 can be used for queries, zone transfers, and dynamic updates. It supports TSIG
 authenticated messages and EDNS0.
 .
 dnspython provides both high and low level access to DNS. The high level
 classes perform queries for data of a given name, type, and class, and return
 an answer set. The low level classes allow direct manipulation of DNS zones,
 messages, names, and records.

Package: python3-dnspython
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}
Description: DNS toolkit for Python (Python 3)
 dnspython is a DNS toolkit for Python. It supports almost all record types. It
 can be used for queries, zone transfers, and dynamic updates. It supports TSIG
 authenticated messages and EDNS0.
 .
 dnspython provides both high and low level access to DNS. The high level
 classes perform queries for data of a given name, type, and class, and return
 an answer set. The low level classes allow direct manipulation of DNS zones,
 messages, names, and records.
 .
 This is the Python 3 version.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

export PYBUILD_NAME=dnspython

%:
	dh $@ --with python2,python3 --buildsystem=pybuild

## dnspython 1.15.0

=== debian/changelog ===
dnspython (1.15.0-1) unstable; urgency=medium

  * New upstream release
  * Fix file write location in testToFileFilename.
    - Add debian/patches/0001-Fix-file-write-location-in-testToFileFilename
      .patch
  * Bump compat/debhelper version to 9 due to compat levels < 9 being
    deprecated

 -- Scott Kitterman <scott@kitterman.com>  Mon, 24 Oct 2016 08:00:17 -0400

dnspython (1.14.0-3) unstable; urgency=medium

  * Drop http_proxy (problem is DNS traffic on port 53)
  * Disable tests unless manually enabled to avoid network access during
    build (Closes: #830170)

 -- Scott Kitterman <scott@kitterman.com>  Fri, 15 Jul 2016 01:17:53 -0400

dnspython (1.14.0-2) unstable; urgency=medium

  * Update python3-dnspython description synopsis
  * Add http_proxy in debian/rules so network access is not attempted - Policy
    4.9, added in 3.9.7 (Closes: #830170)

 -- Scott Kitterman <scott@kitterman.com>  Thu, 07 Jul 2016 17:04:28 -0400

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: Robert S. Edmonds <edmonds@debian.org>, Scott Kitterman <scott@kitterman.com>, Matthew Grant <matthewgrant5@gmail.com>
-Build-Depends: debhelper (>= 8.1~), python-all (>= 2.6.6-3~), python-setuptools, python3-all (>= 3.3), python3-setuptools, dh-python, netbase
+Build-Depends: debhelper (>= 9~), python-all (>= 2.6.6-3~), python-setuptools, python3-all (>= 3.3), python3-setuptools, dh-python, netbase
 X-Python3-Version: >= 3.3
 Homepage: http://www.dnspython.org
 Standards-Version: 3.9.8
@@ -26,7 +26,7 @@
 Package: python3-dnspython
 Architecture: all
 Depends: ${python3:Depends}, ${misc:Depends}
-Description: DNS toolkit for Python (Python 3)
+Description: DNS toolkit for Python 3
  dnspython is a DNS toolkit for Python. It supports almost all record types. It
  can be used for queries, zone transfers, and dynamic updates. It supports TSIG
  authenticated messages and EDNS0.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

# As currently defined, tests can't be automatically run and be policy
# compliant due to network access.  Uncomment this to run tests in a
# local build
#RUN_TEST=dh_auto_test

export PYBUILD_NAME=dnspython

%:
	dh $@ --with python2,python3 --buildsystem=pybuild

override_dh_auto_test:
	$(RUN_TEST)

## dnspython 1.16.0

=== Makefile ===
# Copyright (C) Dnspython Contributors, see LICENSE for text of ISC license

# Copyright (C) 2003-2017 Nominum, Inc.
#
# Permission to use, copy, modify, and distribute this software and its
# documentation for any purpose with or without fee is hereby granted,
# provided that the above copyright notice and this permission notice
# appear in all copies.
#
# THE SOFTWARE IS PROVIDED "AS IS" AND NOMINUM DISCLAIMS ALL WARRANTIES
# WITH REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF
# MERCHANTABILITY AND FITNESS. IN NO EVENT SHALL NOMINUM BE LIABLE FOR
# ANY SPECIAL, DIRECT, INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES
# WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN
# ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT
# OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.

# $Id: Makefile,v 1.16 2004/03/19 00:17:27 halley Exp $

PYTHON=python
PYTHON3=python3

all:
	${PYTHON} ./setup.py build

install:
	${PYTHON} ./setup.py install

clean:
	${PYTHON} ./setup.py clean --all
	find . -name '*.pyc' -exec rm {} \;
	find . -name '*.pyo' -exec rm {} \;
	rm -f TAGS

distclean: clean docclean
	rm -rf build dist
	rm -f MANIFEST

doco:
	epydoc -v -n dnspython -u http://www.dnspython.org \
		dns/*.py dns/rdtypes/*.py dns/rdtypes/ANY/*.py \
		dns/rdtypes/CH/*.py \
		dns/rdtypes/IN/*.py

dockits: doco
	mv html dnspython-html
	tar czf html.tar.gz dnspython-html
	zip -r html.zip dnspython-html
	mv dnspython-html html

docclean:
	rm -rf html.tar.gz html.zip html

kits:
	${PYTHON3} ./setup.py sdist --formats=gztar,zip bdist_wheel

tags:
	find . -name '*.py' -print | etags -

check: test

test:
	cd tests; make PYTHON=${PYTHON} test

test2:
	cd tests; make PYTHON=python test

test3:
	cd tests; make PYTHON=${PYTHON3} test

lint:
	pylint dns tests examples/*.py

lint3:
	pylint3 dns tests examples/*.py

typecheck:
	if [ $(shell python -c "import sys; print(sys.version_info[0])") -ne 2 ]; then pip install mypy; mypy examples tests; else echo Skipping typecheck on Python 2; fi

=== doc/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
SPHINXPROJ    = dnspython
SOURCEDIR     = .
BUILDDIR      = _build

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: help Makefile

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

=== debian/changelog ===
dnspython (1.16.0-1ubuntu1) focal; urgency=medium

  * Fix dns.query.xfr(lifetime=None, timeout=not None) (LP: #1941988)
    - d/p/lp1941988-When-doing-xfr-do-not-compare-with-expiration.patch

 -- Brett Milford <brett.milford@canonical.com>  Thu, 30 Jun 2022 08:40:05 +0000

dnspython (1.16.0-1build1) focal; urgency=medium

  * No-change rebuild to generate dependencies on python2.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 17 Dec 2019 12:32:31 +0000

dnspython (1.16.0-1) unstable; urgency=medium

  * Update debian/watch to use Github
  * New upstream release
    - Drop all patches, incorporated upstream
  * Bump standards-version to 4.2.1 without further change

 -- Scott Kitterman <scott@kitterman.com>  Sat, 22 Dec 2018 20:13:05 -0500

dnspython (1.15.0-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/control: Remove ancient X-Python3-Version field
  * Convert git repository from git-dpm to gbp layout

  [ Scott Kitterman ]
  * Add debian/patches/0002-fix-error-when-parsing-nsec3-bitmap-from-
    text.patch from upstream (Closes: #915866)

 -- Scott Kitterman <scott@kitterman.com>  Fri, 07 Dec 2018 08:23:43 -0500

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,14 @@
 Source: dnspython
 Section: python
 Priority: optional
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: Robert S. Edmonds <edmonds@debian.org>, Scott Kitterman <scott@kitterman.com>, Matthew Grant <matthewgrant5@gmail.com>
 Build-Depends: debhelper (>= 9~), python-all (>= 2.6.6-3~), python-setuptools, python3-all (>= 3.3), python3-setuptools, dh-python, netbase
-X-Python3-Version: >= 3.3
 Homepage: http://www.dnspython.org
-Standards-Version: 3.9.8
-Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/dnspython.git
-Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/dnspython.git
+Standards-Version: 4.2.1
+Vcs-Git: https://salsa.debian.org/python-team/modules/dnspython.git
+Vcs-Browser: https://salsa.debian.org/python-team/modules/dnspython
 
 Package: python-dnspython
 Architecture: all

=== debian/watch ===
version=3
opts="filenamemangle=s/(?:.*)?v?(\d[\d\.]*)\.tar\.gz/dnspython-$1.tar.gz/" \
    https://github.com/rthalley/dnspython/releases (?:.*/)?v?(\d[\d\.]*)\.tar\.gz

## dnspython 1.16.0.1

=== debian/changelog ===
dnspython (1.16.0.1-1+deb10u1) unstable; urgency=medium

  * update

 -- Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>  Tue, 29 Jun 2021 11:01:39 +0800

dnspython (1.16.0-1+deb10u1) buster; urgency=medium

  * Team upload.
  * d/patches: Add fix-do-not-compare-with-expiration-
    if-None.patch from upstream (Closes: #986645)

 -- Michal Arbet <michal.arbet@ultimum.io>  Thu, 08 Apr 2021 19:09:26 +0200

## dnspython 2.0.0

=== Makefile ===
# Copyright (C) Dnspython Contributors, see LICENSE for text of ISC license

# Copyright (C) 2003-2017 Nominum, Inc.
#
# Permission to use, copy, modify, and distribute this software and its
# documentation for any purpose with or without fee is hereby granted,
# provided that the above copyright notice and this permission notice
# appear in all copies.
#
# THE SOFTWARE IS PROVIDED "AS IS" AND NOMINUM DISCLAIMS ALL WARRANTIES
# WITH REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF
# MERCHANTABILITY AND FITNESS. IN NO EVENT SHALL NOMINUM BE LIABLE FOR
# ANY SPECIAL, DIRECT, INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES
# WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN
# ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT
# OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.

# $Id: Makefile,v 1.16 2004/03/19 00:17:27 halley Exp $

PYTHON=python

all:
	${PYTHON} ./setup.py build

install:
	${PYTHON} ./setup.py install

clean:
	${PYTHON} ./setup.py clean --all
	find . -name '*.pyc' -exec rm {} \;
	find . -name '*.pyo' -exec rm {} \;
	rm -f TAGS
	rm -rf htmlcov .coverage
	rm -rf .pytest_cache

distclean: clean docclean
	rm -rf build dist
	rm -f MANIFEST
	rm -rf dnspython.egg-info

doc:
	cd doc; make html

docclean:
	rm -rf doc/_build

check: test

test:
	cd tests; make test

potest:
	poetry run pytest

potestlf:
	poetry run pytest --lf

potype:
	poetry run python -m mypy examples tests dns/*.py

poflake:
	poetry run flake8 dns

pocov:
	poetry run coverage run -m pytest
	poetry run coverage html --include 'dns*'
	poetry run coverage report --include 'dns*'

pokit:
	po run python setup.py sdist --formats=zip bdist_wheel

=== doc/Makefile ===
--- 
+++ 
@@ -3,7 +3,7 @@
 
 # You can set these variables from the command line.
 SPHINXOPTS    =
-SPHINXBUILD   = sphinx-build
+SPHINXBUILD   = poetry run sphinx-build
 SPHINXPROJ    = dnspython
 SOURCEDIR     = .
 BUILDDIR      = _build

=== tests/Makefile ===
--- 
+++ 
@@ -1,4 +1,6 @@
-# Copyright (C) 2003-2007, 2009 Nominum, Inc.
+# Copyright (C) Dnspython Contributors, see LICENSE for text of ISC license
+
+# Copyright (C) 2003-2007, 2009-2011 Nominum, Inc.
 #
 # Permission to use, copy, modify, and distribute this software and its
 # documentation for any purpose with or without fee is hereby granted,
@@ -20,7 +22,4 @@
 check: test
 
 test:
-	@for i in *.py; do \
-		echo "Running $$i:"; \
-		${PYTHON} $$i || exit 1; \
-	done
+	${PYTHON} ./utest.py

=== debian/changelog ===
dnspython (2.0.0-1) unstable; urgency=medium

  * New upstream release
  * Add Breaks for python3-dkim << 1.0.5, dkimpy-milter << 1.2.2, and
    python3-spf << 2.0.14-2~
  * Add python3-requests, python3-requests-toolbelt, and ca-certificates to
    Recommends for DOH support
  * Replace Reccomends of python3-pycryptodome, python3-ecdsa for DNSSEC
    support with python3-cryptography >= 2.6
  * Add python3-sniffio add python3-trio to Suggests for asyncio support
  * Update package long description to reflect current functionality

 -- Scott Kitterman <scott@kitterman.com>  Mon, 10 Aug 2020 20:42:58 -0400

dnspython (1.16.0-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.

  [ Scott Kitterman ]
  * Drop python2 support (Closes: #952782, #936427)
  * Bump standards-version to 4.5.0 without further change
  * Bump debhelper-compat to 12 without further change
  * Drop ancient python3-all version requirements
  * Add missing Depends on netbase
  * Add Recommends for python3-pycryptodome, python3-ecdsa, python3-idna to
    support DNSSEC and modern DNS with IDNA capabilities
  * Add autopkgtests using upstream test suite
  * Include README.md in package

 -- Scott Kitterman <scott@kitterman.com>  Sat, 07 Mar 2020 19:31:03 -0500

=== debian/control ===
Source: dnspython
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Robert S. Edmonds <edmonds@debian.org>, Scott Kitterman <scott@kitterman.com>, Matthew Grant <matthewgrant5@gmail.com>
Build-Depends: debhelper-compat (= 12), python3-all, python3-setuptools, dh-python, netbase
Homepage: http://www.dnspython.org
Standards-Version: 4.5.0
Vcs-Git: https://salsa.debian.org/python-team/modules/dnspython.git
Vcs-Browser: https://salsa.debian.org/python-team/modules/dnspython

Package: python3-dnspython
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}, netbase
Recommends: python3-cryptography (>= 2.6), python3-idna, ca-certificates, python3-requests, python3-requests-toolbelt
Suggests: python3-sniffio, python3-trio
Breaks: python3-dkim (<< 1.0.5), dkimpy-milter (<< 1.2.2), python3-spf (<< 2.0.14-2~)
Description: DNS toolkit for Python 3
 dnspython is a DNS toolkit for Python. It supports almost all record types. It
 can be used for queries, zone transfers, and dynamic updates. It supports TSIG
 authenticated messages and EDNS0.
 .
 With recommended additional dependencies installed it also support DNS Over
 HTTPS (DOH), DNSSEC, and non-ascii (IDNA) DNS operations.  It can support
 asynchronous if python3-sniffio and python3-trio are installed, but this is
 not the default.
 .
 dnspython provides both high and low level access to DNS. The high level
 classes perform queries for data of a given name, type, and class, and return
 an answer set. The low level classes allow direct manipulation of DNS zones,
 messages, names, and records.
 .
 This is the Python 3 version.

=== debian/tests/control ===
Tests: py3
Depends: ca-certificates,
         python3-all,
         python3-setuptools,
         python3-cryptography,
         python3-idna,
         python3-requests,
         python3-requests-toolbelt,
         python3-sniffio,
         python3-trio,
         @
Restrictions: allow-stderr

## dnspython 2.0.0+really1.16.0

=== debian/changelog ===
dnspython (2.0.0+really1.16.0-2ubuntu2) hirsute; urgency=medium

  * d/p/use-base64-encodebytes-decodebytes.patch: Switch away from
    encodestring and decodestring, which were removed in Python 3.9.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 09 Dec 2020 19:58:11 -0500

dnspython (2.0.0+really1.16.0-2ubuntu1) groovy; urgency=medium

  * Revert dnspython to 1.16.0-2 inline with upstream pinning to 1.16.0
    due to eventlet and designate incompatibilities with dnspython 2.0.0
    (LP: #1895549).
  * d/gbp.conf: Update gbp configuration file.
  * d/control: Update Vcs-* links and maintainers.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 14 Sep 2020 14:49:37 -0400

dnspython (2.0.0-1ubuntu2) groovy; urgency=medium

  * Drop debian/patches/ubuntu-disable-ipv6-udp-tests.patch:
    - IPv6 UDP tests are not enough, others (like DOH) failing as well
  * Add debian/patches/ubuntu-disable-online-tests.patch:
    - Disable all online tests as there are several problems on the Ubuntu
      autopkgtest infrastructure (LP: #1892832).

 -- Lukas Märdian <lukas.maerdian@canonical.com>  Mon, 07 Sep 2020 15:43:00 +0200

dnspython (2.0.0-1ubuntu1) groovy; urgency=medium

  * Add debian/patches/ubuntu-disable-ipv6-udp-tests.patch:
    - Disable some IPv6 tests as those are failing on the Ubuntu autopkgtest
      infrastructure (LP: #1892832).

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Tue, 25 Aug 2020 11:49:31 +0200

=== debian/control ===
Source: dnspython
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Robert S. Edmonds <edmonds@debian.org>, Scott Kitterman <scott@kitterman.com>, Matthew Grant <matthewgrant5@gmail.com>
Build-Depends: debhelper-compat (= 12), python3-all, python3-setuptools, dh-python, netbase
Homepage: http://www.dnspython.org
Standards-Version: 4.5.0
Vcs-Git: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/dnspython
Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/dnspython

Package: python3-dnspython
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}, netbase
Recommends: python3-pycryptodome, python3-ecdsa, python3-idna
Description: DNS toolkit for Python 3
 dnspython is a DNS toolkit for Python. It supports almost all record types. It
 can be used for queries, zone transfers, and dynamic updates. It supports TSIG
 authenticated messages and EDNS0.
 .
 dnspython provides both high and low level access to DNS. The high level
 classes perform queries for data of a given name, type, and class, and return
 an answer set. The low level classes allow direct manipulation of DNS zones,
 messages, names, and records.
 .
 This is the Python 3 version.

=== debian/tests/control ===
Tests: py3
Depends: python3-all,
         python3-setuptools,
         python3-pycryptodome,
         python3-ecdsa,
         python3-idna,
         @
Restrictions: allow-stderr

## dnspython 2.1.0

=== debian/changelog ===
dnspython (2.1.0-1ubuntu1) jammy; urgency=medium

  * d/p/ubuntu-disable-online-tests.patch: Restored patch
    from a previous release to disable online tests.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 15 Dec 2021 10:48:52 -0500

dnspython (2.1.0-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Debian Janitor ]
  * Use secure URI in Homepage field.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Set upstream metadata fields: Security-Contact.

  [ Scott Kitterman ]
  * Update debian/watch to point to pypi where upstream releases are now
    located and add d/upstream/signing-key.asc
  * New upstream release
  * Update debian/copyright
  * Add debian/patches/0001-add-missing-mx-pickle-test-data.patch to fix
    test failure due to missing data, already fixed upstream
  * Add python3-pytest to autopkgtest depends
  * Add debian/source/include-binaries since the pickle file in the patch is
    binary

 -- Scott Kitterman <scott@kitterman.com>  Sun, 14 Nov 2021 02:12:31 -0500

=== debian/control ===
Source: dnspython
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Robert S. Edmonds <edmonds@debian.org>, Scott Kitterman <scott@kitterman.com>, Matthew Grant <matthewgrant5@gmail.com>
Build-Depends: debhelper-compat (= 12), python3-all, python3-setuptools, dh-python, netbase
Homepage: https://www.dnspython.org
Standards-Version: 4.5.0
Vcs-Git: https://salsa.debian.org/python-team/packages/dnspython.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/dnspython

Package: python3-dnspython
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}, netbase
Recommends: python3-cryptography (>= 2.6), python3-idna, ca-certificates, python3-requests, python3-requests-toolbelt
Suggests: python3-sniffio, python3-trio
Breaks: python3-dkim (<< 1.0.5), dkimpy-milter (<< 1.2.2), python3-spf (<< 2.0.14-2~)
Description: DNS toolkit for Python 3
 dnspython is a DNS toolkit for Python. It supports almost all record types. It
 can be used for queries, zone transfers, and dynamic updates. It supports TSIG
 authenticated messages and EDNS0.
 .
 With recommended additional dependencies installed it also support DNS Over
 HTTPS (DOH), DNSSEC, and non-ascii (IDNA) DNS operations.  It can support
 asynchronous if python3-sniffio and python3-trio are installed, but this is
 not the default.
 .
 dnspython provides both high and low level access to DNS. The high level
 classes perform queries for data of a given name, type, and class, and return
 an answer set. The low level classes allow direct manipulation of DNS zones,
 messages, names, and records.
 .
 This is the Python 3 version.

=== debian/rules ===
--- 
+++ 
@@ -9,7 +9,7 @@
 export PYBUILD_NAME=dnspython
 
 %:
-	dh $@ --with python2,python3 --buildsystem=pybuild
+	dh $@ --with python3 --buildsystem=pybuild
 
 override_dh_auto_test:
 	$(RUN_TEST)

=== debian/tests/control ===
Tests: py3
Depends: ca-certificates,
         python3-all,
         python3-setuptools,
         python3-cryptography,
         python3-idna,
         python3-pytest,
         python3-requests,
         python3-requests-toolbelt,
         python3-sniffio,
         python3-trio,
         @
Restrictions: allow-stderr

## dnspython 2.2.1

=== debian/changelog ===
dnspython (2.2.1-2) unstable; urgency=medium

  [ Dan Bungert ]
  * Team upload
  * Update test suite to improve network checking
    (Closes: #1012470, LP: #1976565)

 -- Benjamin Drung <bdrung@ubuntu.com>  Wed, 08 Jun 2022 11:47:10 +0200

dnspython (2.2.1-1) unstable; urgency=medium

  [ Benjamin Drung ]
  * Team upload
  * New upstream release
  * Run test suite during package build (except tests that need Internet)
  * Run autopkgtest outside the source tree to ensure to run against installed
    version
  * Set Rules-Requires-Root: no

  [ Debian Janitor ]
  * Bump debhelper from old 12 to 13.
  * Remove constraints unnecessary since buster:
    + python3-dnspython: Drop versioned constraint on python3-cryptography in
      Recommends.

 -- Benjamin Drung <bdrung@ubuntu.com>  Mon, 16 May 2022 20:59:36 +0200

dnspython (2.2.0-2) unstable; urgency=medium

  * Team upload.
  * Add upstream patch:
    - Use_the_version_origin_if_the_zone_doesnt_have_one_yet.patch

 -- Thomas Goirand <zigo@debian.org>  Mon, 24 Jan 2022 13:55:42 +0100

dnspython (2.2.0-1) unstable; urgency=medium

  * Upload to unstable
  * Update d/watch and delete debian/upstream/signing-file.asc, releases are
    no longer signed
  * New upstream release
  * Bump standards version to 4.6.0 without further change
  * Override override_dh_auto_test-does-not-check-DEB_BUILD_OPTIONS since the
    tests aren't actually run

 -- Scott Kitterman <scott@kitterman.com>  Fri, 21 Jan 2022 01:19:08 -0500

dnspython (2.2.0~rc1-1) experimental; urgency=medium

  * New upstream release candidate
  * Drop debian/patches/0001-add-missing-mx-pickle-test-data.patch, included
    in new release
  * Add debian/patches/no-setup-requires.patch since upstream setup_requires
    conflicts with Debian Python build practices
  * Delete obsolete debian/source/include-binaries file

 -- Scott Kitterman <scott@kitterman.com>  Fri, 24 Dec 2021 01:33:56 -0500

=== debian/control ===
Source: dnspython
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Robert S. Edmonds <edmonds@debian.org>,
           Scott Kitterman <scott@kitterman.com>,
           Matthew Grant <matthewgrant5@gmail.com>
Build-Depends: ca-certificates,
               debhelper-compat (= 13),
               dh-python,
               netbase,
               python3-all,
               python3-pytest,
               python3-setuptools
Homepage: https://www.dnspython.org
Rules-Requires-Root: no
Standards-Version: 4.6.0
Vcs-Git: https://salsa.debian.org/python-team/packages/dnspython.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/dnspython

Package: python3-dnspython
Architecture: all
Depends: netbase, ${misc:Depends}, ${python3:Depends}
Recommends: ca-certificates,
            python3-cryptography,
            python3-idna,
            python3-requests,
            python3-requests-toolbelt
Suggests: python3-sniffio, python3-trio
Breaks: dkimpy-milter (<< 1.2.2),
        python3-dkim (<< 1.0.5),
        python3-spf (<< 2.0.14-2~)
Description: DNS toolkit for Python 3
 dnspython is a DNS toolkit for Python. It supports almost all record types. It
 can be used for queries, zone transfers, and dynamic updates. It supports TSIG
 authenticated messages and EDNS0.
 .
 With recommended additional dependencies installed it also support DNS Over
 HTTPS (DOH), DNSSEC, and non-ascii (IDNA) DNS operations.  It can support
 asynchronous if python3-sniffio and python3-trio are installed, but this is
 not the default.
 .
 dnspython provides both high and low level access to DNS. The high level
 classes perform queries for data of a given name, type, and class, and return
 an answer set. The low level classes allow direct manipulation of DNS zones,
 messages, names, and records.
 .
 This is the Python 3 version.

## dnspython 2.3.0

=== debian/changelog ===
dnspython (2.3.0-1) unstable; urgency=medium

  * Upload to unstable
  * New upstream release
  * Bump standards-version to 4.6.2 without further change
  * Add python3-poetry-core and pybuild-plugin-pyproject to build-depends to
    build using pyproject backend
  * Add python3-httpx and python3-h2 to Recommends for DNS Over HTTPS (DOH)
    support and add to build-depends and test depends to support tests
  * Add suggests for python3-aioquic (preliminary support for DNS Over QUIC
   (DOQ) if available)

 -- Scott Kitterman <scott@kitterman.com>  Tue, 24 Jan 2023 10:40:24 -0500

dnspython (2.3.0~rc1-1) experimental; urgency=medium

  * New upstream release
    - Refresh patches
    - Delete Allow-skipping-test-cases-that-need-Internet-access.patch,
      0003-Improve-network-checking-812.patch, and
      0004-tests-Extend-connectivity-check-to-test_async.patch, incorporated
      upstream
  * Add python3-cryptography to build-depends to support tests

 -- Scott Kitterman <scott@kitterman.com>  Wed, 11 Jan 2023 12:03:18 -0500

=== debian/control ===
--- 
+++ 
@@ -9,12 +9,17 @@
                debhelper-compat (= 13),
                dh-python,
                netbase,
+               pybuild-plugin-pyproject,
                python3-all,
+               python3-cryptography,
+               python3-h2,
+               python3-httpx,
+               python3-poetry-core,
                python3-pytest,
                python3-setuptools
 Homepage: https://www.dnspython.org
 Rules-Requires-Root: no
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Vcs-Git: https://salsa.debian.org/python-team/packages/dnspython.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/dnspython
 
@@ -23,10 +28,12 @@
 Depends: netbase, ${misc:Depends}, ${python3:Depends}
 Recommends: ca-certificates,
             python3-cryptography,
+            python3-h2,
+            python3-httpx,
             python3-idna,
             python3-requests,
             python3-requests-toolbelt
-Suggests: python3-sniffio, python3-trio
+Suggests: python3-sniffio, python3-trio, python3-aioquic
 Breaks: dkimpy-milter (<< 1.2.2),
         python3-dkim (<< 1.0.5),
         python3-spf (<< 2.0.14-2~)

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

export NO_INTERNET=1
export PYBUILD_NAME=dnspython

%:
	dh $@ --with python3 --buildsystem=pybuild

=== debian/tests/control ===
--- 
+++ 
@@ -1,8 +1,9 @@
 Tests: py3
 Depends: ca-certificates,
          python3-all,
-         python3-setuptools,
          python3-cryptography,
+         python3-h2,
+         python3-httpx,
          python3-idna,
          python3-pytest,
          python3-requests,

=== debian/watch ===
version=4
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/dnspython/dnspython-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## dnspython 2.4.0

=== debian/changelog ===
dnspython (2.4.0-1) unstable; urgency=medium

  * Upload to Unstable
  * Add needs-internet to restrictions in debian/tests/control
  * New upstream release
  * Add python3-httpcore to Build-Depends and debian/tests/control for tests
    and Recommends for DOH support
  * Override dh_python3 to add --no-guessing-deps since generated depends are
    not currently useful

 -- Scott Kitterman <scott@kitterman.com>  Thu, 20 Jul 2023 09:37:43 -0400

dnspython (2.4.0~rc1-1) experimental; urgency=medium

  * New upstream release
    - Refresh patches
  * Remove Breaks not required since oldstable

 -- Scott Kitterman <scott@kitterman.com>  Thu, 06 Jul 2023 22:09:07 -0400

=== debian/control ===
--- 
+++ 
@@ -13,6 +13,7 @@
                python3-all,
                python3-cryptography,
                python3-h2,
+               python3-httpcore,
                python3-httpx,
                python3-poetry-core,
                python3-pytest,
@@ -29,14 +30,12 @@
 Recommends: ca-certificates,
             python3-cryptography,
             python3-h2,
+            python3-httpcore (>=0.17.3),
             python3-httpx,
             python3-idna,
             python3-requests,
             python3-requests-toolbelt
 Suggests: python3-sniffio, python3-trio, python3-aioquic
-Breaks: dkimpy-milter (<< 1.2.2),
-        python3-dkim (<< 1.0.5),
-        python3-spf (<< 2.0.14-2~)
 Description: DNS toolkit for Python 3
  dnspython is a DNS toolkit for Python. It supports almost all record types. It
  can be used for queries, zone transfers, and dynamic updates. It supports TSIG

=== debian/rules ===
--- 
+++ 
@@ -6,3 +6,6 @@
 
 %:
 	dh $@ --with python3 --buildsystem=pybuild
+
+override_dh_python3:
+	dh_python3 --no-guessing-deps

=== debian/tests/control ===
--- 
+++ 
@@ -3,6 +3,7 @@
          python3-all,
          python3-cryptography,
          python3-h2,
+         python3-httpcore,
          python3-httpx,
          python3-idna,
          python3-pytest,
@@ -11,4 +12,4 @@
          python3-sniffio,
          python3-trio,
          @
-Restrictions: allow-stderr
+Restrictions: allow-stderr, needs-internet

## dnspython 2.4.1

=== debian/changelog ===
dnspython (2.4.1-1ubuntu2~cloud0) jammy-bobcat; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Tue, 12 Sep 2023 20:14:45 +0000

dnspython (2.4.1-1ubuntu2) mantic; urgency=medium

  * d/control: Move the httpcore dependency to Suggests (LP: #2030475)

 -- Pushkar Kulkarni <pushkar.kulkarni@canonical.com>  Mon, 07 Aug 2023 17:40:17 +0530

dnspython (2.4.1-1ubuntu1) mantic; urgency=medium

  * Merge from Debian unstable (LP: #2029461). Remaining changes:
    - Drop python-h2 & httpx (DNS Over HTTPS, DOH) to Suggests

 -- Pushkar Kulkarni <pushkar.kulkarni@ubuntu.com>  Thu, 03 Aug 2023 19:26:28 +0530

dnspython (2.4.1-1) unstable; urgency=medium

  * New upstream release
  * python3-sniffio is a python3-trio Depends, so no need to explicitly
    require it, remove from Suggests, long description, and d/tests/control
  * Remove dh_python3 override, dependency specification fixed upstream
  * Add python3-aioquic to Build-Depends and d/test/control test depends so
    DNS Over QUIC (DOQ) tests are run
  * Add mention of DOQ support to package description

 -- Scott Kitterman <scott@kitterman.com>  Fri, 28 Jul 2023 17:20:32 -0400

dnspython (2.3.0-1ubuntu1) lunar; urgency=medium

  * Drop python-h2 & httpx (DNS Over HTTPS, DOH) to Suggests (LP: 2004272)

 -- Lukas Märdian <slyon@ubuntu.com>  Tue, 31 Jan 2023 14:37:06 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: dnspython
 Section: python
 Priority: optional
-Maintainer: Debian Python Team <team+python@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Robert S. Edmonds <edmonds@debian.org>,
            Scott Kitterman <scott@kitterman.com>,
            Matthew Grant <matthewgrant5@gmail.com>
@@ -29,13 +30,10 @@
 Depends: netbase, ${misc:Depends}, ${python3:Depends}
 Recommends: ca-certificates,
             python3-cryptography,
-            python3-h2,
-            python3-httpcore (>=0.17.3),
-            python3-httpx,
             python3-idna,
             python3-requests,
             python3-requests-toolbelt
-Suggests: python3-sniffio, python3-trio, python3-aioquic
+Suggests: python3-trio, python3-h2, python3-httpx, python3-httpcore (>=0.17.3)
 Description: DNS toolkit for Python 3
  dnspython is a DNS toolkit for Python. It supports almost all record types. It
  can be used for queries, zone transfers, and dynamic updates. It supports TSIG
@@ -43,8 +41,9 @@
  .
  With recommended additional dependencies installed it also support DNS Over
  HTTPS (DOH), DNSSEC, and non-ascii (IDNA) DNS operations.  It can support
- asynchronous if python3-sniffio and python3-trio are installed, but this is
- not the default.
+ asynchronous if python3-trio is installed, but this is not the default.  DNS
+ Over QUIC (DOQ) is supported if python3-aioquic is installed, also not the
+ default.
  .
  dnspython provides both high and low level access to DNS. The high level
  classes perform queries for data of a given name, type, and class, and return
